## org.eclipse.m2m.atl.engine.vm
Class StackFrame

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
          org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
              org.eclipse.m2m.atl.engine.vm.StackFrame

Direct Known Subclasses:
  ASMStackFrame, LocalObjectReference.ADWPStackFrame, NativeStackFrame

    public abstract class StackFrame

extends ASMOclAny

Field Summary
`protected Debugger` `debugger`
`static ASMOclType` `myType`

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`nativeImpl`

Constructor Summary
`StackFrame(ASMOclType myType, ExecEnv execEnv, Operation operation, java.util.List args)`

Method Summary
`StackFrame` `enterFrame(Operation op, java.util.List enterArgs)`
`java.util.List` `getArgs()`
`ExecEnv` `getExecEnv()`
`ASMModel` `getModel(java.lang.String name)`
`java.util.Map` `getModels()`
`Operation` `getOperation()`
`java.lang.String` `getOpName()`
`StackFrame` `getParent()`
`ASMSequence` `getStack()`
`ASMOclAny` `leaveFrame()`
`void` `printStackTrace()`
`void` `printStackTrace(java.lang.Exception e)`
`void` `printStackTrace(java.lang.String msg)`
`void` `printStackTrace(java.lang.String msg, java.lang.Exception e)`
`void` `setParent(StackFrame parent)`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`getNativeImpl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myType

    public static ASMOclType myType

### debugger

    protected Debugger debugger

Constructor Detail

### StackFrame

    public StackFrame(ASMOclType myType,
                      ExecEnv execEnv,
                      Operation operation,
                      java.util.List args)

Method Detail

### enterFrame

    public StackFrame enterFrame(Operation op,
                                 java.util.List enterArgs)

### getParent

    public StackFrame getParent()

### setParent

    public void setParent(StackFrame parent)

### leaveFrame

    public ASMOclAny leaveFrame()

### getExecEnv

    public ExecEnv getExecEnv()

### getOperation

    public Operation getOperation()

### getModel

    public ASMModel getModel(java.lang.String name)

### getModels

    public java.util.Map getModels()

### printStackTrace

    public void printStackTrace()

### printStackTrace

    public void printStackTrace(java.lang.Exception e)

### printStackTrace

    public void printStackTrace(java.lang.String msg)

### printStackTrace

    public void printStackTrace(java.lang.String msg,
                                java.lang.Exception e)

### getArgs

    public java.util.List getArgs()

### getStack

    public ASMSequence getStack()

### getOpName

    public java.lang.String getOpName()

Copyright 2007 IBM Corporation and others. All Rights Reserved.